org.springframework.cloud.dataflow.rest.util

## Class PreemptiveBasicAuthHttpComponentsClientHttpRequestFactory

- java.lang.Object
- - org.springframework.http.client.HttpComponentsClientHttpRequestFactory
  - - org.springframework.cloud.dataflow.rest.util.PreemptiveBasicAuthHttpComponentsClientHttpRequestFactory

- All Implemented Interfaces:
    org.springframework.beans.factory.DisposableBean, org.springframework.http.client.ClientHttpRequestFactory

      public class PreemptiveBasicAuthHttpComponentsClientHttpRequestFactory
      extends org.springframework.http.client.HttpComponentsClientHttpRequestFactory

  `HttpComponentsClientHttpRequestFactory` extension that aggressively sends HTTP basic authentication credentials without having to first receive an HTTP 401 response from the server.
  Author:
    Gunnar Hillert, Mike Heath

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreemptiveBasicAuthHttpComponentsClientHttpRequestFactory(org.apache.http.client.HttpClient httpClient, org.apache.http.HttpHost host)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.http.protocol.HttpContext` | `createHttpContext(org.springframework.http.HttpMethod httpMethod, URI uri)`

    - ### Methods inherited from class org.springframework.http.client.HttpComponentsClientHttpRequestFactory

      `createHttpUriRequest, createRequest, createRequestConfig, destroy, getHttpClient, mergeRequestConfig, postProcessHttpRequest, setBufferRequestBody, setConnectionRequestTimeout, setConnectTimeout, setHttpClient, setHttpContextFactory, setReadTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PreemptiveBasicAuthHttpComponentsClientHttpRequestFactory

          public PreemptiveBasicAuthHttpComponentsClientHttpRequestFactory(org.apache.http.client.HttpClient httpClient,
                                                                           org.apache.http.HttpHost host)

  - ### Method Detail

    - #### createHttpContext

          protected org.apache.http.protocol.HttpContext createHttpContext(org.springframework.http.HttpMethod httpMethod,
                                                                           URI uri)

      Overrides:
        `createHttpContext` in class `org.springframework.http.client.HttpComponentsClientHttpRequestFactory`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.